/*
 * Copyright (c) 2022, 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/
@import '../../_components/footer.less';

#footer {
    padding: 5rem 0 4rem 0;
    text-align: center;
    color: @black;
    background-color: @white;

    .footer-section {
        padding-bottom: 3rem;
    }

    #footer-end {
        display: flex;
        flex-direction: column-reverse;
        justify-content: flex-end;
        gap: 3rem; // same as padding of footer
    }

    .footer-end-social-container {
        display: flex;
        flex-basis: 100%;
        align-items: flex-start;
        justify-content: center;
    }

    .footer-end-social {
        display: flex;
        align-items: center;
    }

    .footer-end-social-text {
        margin-right: 1.5rem;
    }

    .nav li > a {
        padding: 0.2rem 0rem;

        &,
        &:hover,
        &:active,
        &:visited {
            color: @footer-link-color;
            background-color: unset;
        }
    }

    .footer-end-social-links {
        img {
            width: 2.4rem;
        }
    }

    .footer-end-newsletter {
        .break-container;
        padding: 4rem;
        background-color: #e7e9ea;
    }

    .footer-end-newsletter-label {
        color: @brand-primary;
    }

    .footer-end-newsletter-submit {
        padding: 0;
        outline-offset: 3px;

        &,
        &:link,
        &:visited {
            color: #000; 
        }

        &:hover,
        &:active,
        &:focus {
            color: @brand-primary;
        }
    }

    .footer-end-newsletter-input-wrapper {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 1rem;
        border-bottom: 1px solid @black;
        background-color: #f5f6f7;

        &:focus-within {
            transition: border-bottom-color 0.2s ease-in;
            border-bottom-color: @brand-primary;
        }
    }

    .footer-end-newsletter-input {
        width: 100%;
        margin-right: 1rem;
        border: none;
        background-color: transparent;
        font-weight: normal;

        &::placeholder {
            background-color: transparent;
            font-size: @font-size-sm;
            font-weight: bold;
        }

        &:focus {
            outline: none;
        }
    }

    @media (min-width: @screen-sm-min) {
        text-align: left;

        #footer-end {
            flex-direction: column;
            gap: 0;
        }

        .footer-sections {
            padding-bottom: 5rem;
        }

        .footer-section {
            padding-bottom: 0;
        }

        .footer-end-social-container {
            justify-content: flex-end;
        }

        .footer-end-newsletter {
            .break-container-reset;
            padding: 0;
            background-color: transparent;
        }

        .footer-social-row {
            justify-content: flex-end;
        }
    }
}

.footer-working-group {
  &-sponsor {
    display: flex;
    justify-content: center;
    align-items: baseline;
    gap: 4rem;
  }

  &-circle-group {
    display: flex;
    gap: 2rem;
    flex-shrink: 0;
  }

  &-circle {
    width: 1rem;
    height: 1rem;
    background-color: @brand-primary-light;
    border-radius: 50%;
  }
}
